A word of caution, the OCI8 package is more capable than the older one. 
It can be used direct or with its DBI. Among other things it handles 
async calls to Oracle which coordinate with Ruby's threads very well.
Dan

On Apr 8, 2005, at 13:44, Ross Parker wrote:

> On Sat, 9 Apr 2005 02:29:48 +0900, Jason Sweat wrote:
>
>>> I am looking at replacing Perl with Ruby.  I like to use Perl for a 
>>> lot of
>>> db stuff and am most interested in get Ruby to talk to an Oracle 
>>> database.
>>> I have been poking around on the net looking for a quick start guide 
>>> to
>>> installing a Ruby lib for Oracle and have come up short.
>>>
>>> Can anyone direct me to a quick start resource for accessing Oracle 
>>> with
>>> Ruby?
>>
>> Hi Ross,
>>
>> I have used this:
>> http://www.jiubao.org/ruby-oci8/
>> sucessfully to talk to Oracle 8.1.7 and 7.3.4 databases.
>>
>> Regards,
>> Jason
>> http://blog.casey-sweat.us/
>
>
> Thanks!  I found and installed the Ruby:DBI module and am able to talk 
> to
> an Oracle database.  :-)
>
> -- 
> Ross
>